<?php

	if(!defined('LF'))
	{
		define('LF', chr(10)); // Line feed '\n'
	}

	if(!defined('TAB'))
	{
		define('TAB', chr(9)); // Tab '\t'
	}

	if(!defined('DS')) // Directory seperator
	{
		define('DS', (strpos(dirname(__FILE__), '\\') ? '\\' : '/')); 
	}

	if(!defined('IDEALCHECKOUT_PATH'))
	{
		define('IDEALCHECKOUT_PATH', dirname(dirname(dirname(__FILE__))));
	}

	if(!defined('SOFTWARE_PATH'))
	{
		define('SOFTWARE_PATH', dirname(dirname(dirname(dirname(__FILE__)))));
	}





	// Initiate software
	$sSoftwareClass = IDEALCHECKOUT_INSTALL::setSoftware();

	if(empty($sSoftwareClass))
	{
		ic_output('<p>Cannot detect the current software!<br>Please try to install another plug-in or version suitable for your software.</p>');
	}

	$_REQUEST = array();
	$_REQUEST['software'] = $sSoftwareClass;
	$_REQUEST['settings'] = false;

	$sInstallFile = dirname(dirname(dirname(__FILE__))) . '/configuration/install.php';

	if(is_file($sInstallFile))
	{
		$_REQUEST['settings'] = include($sInstallFile);
	}





	// Verify read/write privileges
	$_REQUEST['files-and-folders'] = IDEALCHECKOUT_INSTALL::getFilesAndFolders($sSoftwareClass);

	$bWritable = true;

	foreach($_REQUEST['files-and-folders'] as $sPath)
	{
		if(!is_writable($sPath))
		{
			$bWritable = false;
			break;
		}
	}

	if(!defined('FTP_ACCESS_REQUIRED'))
	{
		define('FTP_ACCESS_REQUIRED', $bWritable === false);
	}

/*
	$a = get_defined_constants(true);
	print_r($a['user']);
*/




	$_REQUEST['psp'] = array();

	$_REQUEST['psp']['rabobank']['name'] = 'Rabobank';
	$_REQUEST['psp']['rabobank']['gateways'] = array();
	$_REQUEST['psp']['rabobank']['gateways'][] = array('code' => 'Rabo OmniKassa - iDEAL', 'type' => 'ideal', 'name' => 'Rabo OmniKassa - iDEAL', 'dashboard' => 'Om de Rabo OmniKassa te koppelen aan uw website heeft u toegang gekregen tot een beheeromgeving van de <a href="https://bankieren.rabobank.nl/omnikassa-dashboard/" title="https://bankieren.rabobank.nl/omnikassa-dashboard/">Rabo OmniKassa</a>.<br><br>Rechts bovenin ziet u het tabje "Beheer", in de tweede menu laag het kopje: "Winkels en verkooppunten". Hier vind u de configuratie sleutels die u nodig heeft voor de configuratie van uw betaalmethode\'s.<br><br>Vul de gevonden gegevens hieronder in bij uw plugin instellingen.<br><br><br>&nbsp;<h3>Plug-in instellingen</h3>Vul onderstaande gegevens in om uw plug-in te configureren.');
	$_REQUEST['psp']['rabobank']['gateways'][] = array('code' => 'Rabo OmniKassa - Maestro', 'type' => 'maestro', 'name' => 'Rabo OmniKassa - Maestro', 'dashboard' => 'Om de Rabo OmniKassa te koppelen aan uw website heeft u toegang gekregen tot een beheeromgeving van de <a href="https://bankieren.rabobank.nl/omnikassa-dashboard/" title="https://bankieren.rabobank.nl/omnikassa-dashboard/">Rabo OmniKassa</a>.<br><br>Rechts bovenin ziet u het tabje "Beheer", in de tweede menu laag het kopje: "Winkels en verkooppunten". Hier vind u de configuratie sleutels die u nodig heeft voor de configuratie van uw betaalmethode\'s.<br><br>Vul de gevonden gegevens hieronder in bij uw plugin instellingen.<br><br><br>&nbsp;<h3>Plug-in instellingen</h3>Vul onderstaande gegevens in om uw plug-in te configureren.');
	$_REQUEST['psp']['rabobank']['gateways'][] = array('code' => 'Rabo OmniKassa - Mastercard', 'type' => 'mastercard', 'name' => 'Rabo OmniKassa - Mastercard', 'dashboard' => 'Om de Rabo OmniKassa te koppelen aan uw website heeft u toegang gekregen tot een beheeromgeving van de <a href="https://bankieren.rabobank.nl/omnikassa-dashboard/" title="https://bankieren.rabobank.nl/omnikassa-dashboard/">Rabo OmniKassa</a>.<br><br>Rechts bovenin ziet u het tabje "Beheer", in de tweede menu laag het kopje: "Winkels en verkooppunten". Hier vind u de configuratie sleutels die u nodig heeft voor de configuratie van uw betaalmethode\'s.<br><br>Vul de gevonden gegevens hieronder in bij uw plugin instellingen.<br><br><br>&nbsp;<h3>Plug-in instellingen</h3>Vul onderstaande gegevens in om uw plug-in te configureren.');
	$_REQUEST['psp']['rabobank']['gateways'][] = array('code' => 'Rabo OmniKassa - MisterCash', 'type' => 'mistercash', 'name' => 'Rabo OmniKassa - MisterCash', 'dashboard' => 'Om de Rabo OmniKassa te koppelen aan uw website heeft u toegang gekregen tot een beheeromgeving van de <a href="https://bankieren.rabobank.nl/omnikassa-dashboard/" title="https://bankieren.rabobank.nl/omnikassa-dashboard/">Rabo OmniKassa</a>.<br><br>Rechts bovenin ziet u het tabje "Beheer", in de tweede menu laag het kopje: "Winkels en verkooppunten". Hier vind u de configuratie sleutels die u nodig heeft voor de configuratie van uw betaalmethode\'s.<br><br>Vul de gevonden gegevens hieronder in bij uw plugin instellingen.<br><br><br>&nbsp;<h3>Plug-in instellingen</h3>Vul onderstaande gegevens in om uw plug-in te configureren.');
	$_REQUEST['psp']['rabobank']['gateways'][] = array('code' => 'Rabo OmniKassa - Paypal', 'type' => 'paypal', 'name' => 'Rabo OmniKassa - Paypal', 'dashboard' => 'Om de Rabo OmniKassa te koppelen aan uw website heeft u toegang gekregen tot een beheeromgeving van de <a href="https://bankieren.rabobank.nl/omnikassa-dashboard/" title="https://bankieren.rabobank.nl/omnikassa-dashboard/">Rabo OmniKassa</a>.<br><br>Rechts bovenin ziet u het tabje "Beheer", in de tweede menu laag het kopje: "Winkels en verkooppunten". Hier vind u de configuratie sleutels die u nodig heeft voor de configuratie van uw betaalmethode\'s.<br><br>Vul de gevonden gegevens hieronder in bij uw plugin instellingen.<br><br><br>&nbsp;<h3>Plug-in instellingen</h3>Vul onderstaande gegevens in om uw plug-in te configureren.');
	$_REQUEST['psp']['rabobank']['gateways'][] = array('code' => 'Rabo OmniKassa - Visa', 'type' => 'visa', 'name' => 'Rabo OmniKassa - Visa', 'dashboard' => 'Om de Rabo OmniKassa te koppelen aan uw website heeft u toegang gekregen tot een beheeromgeving van de <a href="https://bankieren.rabobank.nl/omnikassa-dashboard/" title="https://bankieren.rabobank.nl/omnikassa-dashboard/">Rabo OmniKassa</a>.<br><br>Rechts bovenin ziet u het tabje "Beheer", in de tweede menu laag het kopje: "Winkels en verkooppunten". Hier vind u de configuratie sleutels die u nodig heeft voor de configuratie van uw betaalmethode\'s.<br><br>Vul de gevonden gegevens hieronder in bij uw plugin instellingen.<br><br><br>&nbsp;<h3>Plug-in instellingen</h3>Vul onderstaande gegevens in om uw plug-in te configureren.');
	$_REQUEST['psp']['rabobank']['gateways'][] = array('code' => 'Rabo OmniKassa - vPay', 'type' => 'vpay', 'name' => 'Rabo OmniKassa - vPay', 'dashboard' => 'Om de Rabo OmniKassa te koppelen aan uw website heeft u toegang gekregen tot een beheeromgeving van de <a href="https://bankieren.rabobank.nl/omnikassa-dashboard/" title="https://bankieren.rabobank.nl/omnikassa-dashboard/">Rabo OmniKassa</a>.<br><br>Rechts bovenin ziet u het tabje "Beheer", in de tweede menu laag het kopje: "Winkels en verkooppunten". Hier vind u de configuratie sleutels die u nodig heeft voor de configuratie van uw betaalmethode\'s.<br><br>Vul de gevonden gegevens hieronder in bij uw plugin instellingen.<br><br><br>&nbsp;<h3>Plug-in instellingen</h3>Vul onderstaande gegevens in om uw plug-in te configureren.');

?>